Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226314 - Merge Review: prctl
Summary: Merge Review: prctl
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Orcan Ogetbil
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:42 UTC by Nobody's working on this, feel free to take it
Modified: 2009-01-28 17:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-28 17:16:45 UTC
oget.fedora: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:42:47 UTC
Fedora Merge Review: prctl

http://cvs.fedora.redhat.com/viewcvs/devel/prctl/
Initial Owner: karsten@redhat.com

Comment 1 Karsten Hopp 2007-02-21 15:38:03 UTC
prctl-1.5-2 prepared for review

Comment 2 Orcan Ogetbil 2008-11-13 22:31:50 UTC
Why is there an explicit ExclusiveArch: ia64 ?
I can't find any documentation that indicates this software is only for ia64. Also, do we have a branch for the ia64 architecture at Fedora?

Comment 3 Orcan Ogetbil 2009-01-16 20:06:23 UTC
ping?

Comment 4 Karsten Hopp 2009-01-28 11:25:33 UTC
The only parameters of prctl that do anything other than printing help are 
--unaligned= and --fpemu=. Both work only on ia64, on other archs you'll get this
output: 'ERROR: Kernel on this platform may not implement this prctl feature.'

I've added this as a comment before the ExclusiveArch: in the spec file and
commited it to CVS.

As IA64 is a secondary arch in Fedora, a build will need to be done by the secondary arch maintainers. See https://fedoraproject.org/wiki/Architectures/IA64
for more info about Fedora-IA64

Comment 5 Orcan Ogetbil 2009-01-28 16:48:53 UTC
Thanks for the explanation.
So I can't to do a test to evaluate the software but I could do a generic package review since it is a simple one.
There is one minor issue and a few suggestions. Let me know whenever you update the package so we can close the bug.

* rpmlint says
  prctl.src:22: W: setup-not-quiet
You need to use 
  %setup -q

! no disttag. I think it could be better to have a disttag to avoid incompatibilities between the binaries produced by different versions of the compiler. What do you think?

! The patch is trivial. I don't think it is necessary to submit upstream. It would be nice though.

! You can make use of the %{name} macro a little more frequent

Comment 6 Karsten Hopp 2009-01-28 17:05:52 UTC
I've added changes for those in CVS:
- added disttag
- setup -q
- frequent use of %{name} macro with the exception of the URL, because that's
  the string I use with cut&paste and firefox to check if there's a new version.

Comment 7 Orcan Ogetbil 2009-01-28 17:16:45 UTC
Great! Thanks.

---------------------------------------------
This Merge Review (prctl) is APPROVED by oget
---------------------------------------------


Note You need to log in before you can comment on or make changes to this bug.